Bug 8679 - Make calendar default view configurable via calendar settings menu
: Make calendar default view configurable via calendar settings menu
Status: RESOLVED WONTFIX
Product: Calendar
General
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low enhancement with 5 votes (vote)
: ---
Assigned To: unassigned
: calendar-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-30 05:30 UTC by Dawid Lorenz
Modified: 2012-03-24 11:43 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Dawid Lorenz (reporter) 2010-01-30 05:30:57 UTC
SOFTWARE VERSION:
2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Open up calendar

EXPECTED OUTCOME:
Default view upon opening calendar should be user-configurable.

ACTUAL OUTCOME:
Agenda view is always loaded as a default view.

REPRODUCIBILITY:
Always.

OTHER COMMENTS:
I would add this choice to existing Calendar Settings facility. Possible
options could be: Today, Agenda, Week, Month.

My personal preference would be "Today", where *only* today's events and tasks
would be displayed (same view as tapping single day in Week's view).

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.9.1.6)
Gecko/20100107 Fedora/3.5.6-1.fc12 Firefox/3.5.6
Comment 1 tuukka.tolvanen nokia 2010-01-30 19:09:27 UTC
afaict (2010.05-0) the view shown initially is the same that was last shown
before closing.
Comment 2 Dawid Lorenz (reporter) 2010-01-31 02:10:16 UTC
(In reply to comment #1)
> afaict (2010.05-0) the view shown initially is the same that was last shown
> before closing.

Which is nice but still not ideal, as having configurable option is way more
convenient.
Comment 3 Hans 2010-02-07 03:50:31 UTC
Not sure if this would be a separate request but it would be fine if calendar
also remembered last view when opened via the desktop widget.
Comment 4 Dawid Lorenz (reporter) 2010-02-07 04:21:32 UTC
(In reply to comment #3)
> Not sure if this would be a separate request but it would be fine if calendar
> also remembered last view when opened via the desktop widget.
> 

In fact, what I have discovered, when calendar is launched via icon in main
menu it remembers last view. However opening up calendar via desktop widget,
*always* launches Agenda view.
Comment 5 Venomrush 2010-03-31 16:11:05 UTC
(In reply to comment #1)
> afaict (2010.05-0) the view shown initially is the same that was last shown
> before closing.
> 

Some sort of 'fix' has been put in place for this then.

Can you check on the internal version whether the view is remembered when
opened Calendar via desktop widget?
Comment 6 Alejandro López 2010-05-19 11:39:21 UTC
*** This bug has been confirmed by popular vote. ***
Comment 7 tuukka.tolvanen nokia 2010-05-23 16:05:20 UTC
>> afaict (2010.05-0) the view shown initially is the same that was last shown
>> before closing.

This is the case when opened via the launcher or a shortcut.

> Can you check on the internal version whether the view is remembered when
> opened Calendar via desktop widget?

The widget always goes to agenda.
Comment 8 Andre Klapper maemo.org 2012-03-24 11:43:00 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )